List cage card templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/cage-card-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/cage-card-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/cage-card-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"paper": "index_4x6",
"fields": [
"<string>"
],
"show_photo": 1,
"qr_mode": "none",
"qr_url_template": "<string>",
"is_default": 1,
"style": "list",
"photo_corner": "bottom_left",
"sponsor_logo_file_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Cage card templates
List cage card templates
Every template, the default first, then by name. Needs read on Animals.
GET
/
api
/
animals
/
cage-card-templates
List cage card templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/cage-card-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/cage-card-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/cage-card-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"paper": "index_4x6",
"fields": [
"<string>"
],
"show_photo": 1,
"qr_mode": "none",
"qr_url_template": "<string>",
"is_default": 1,
"style": "list",
"photo_corner": "bottom_left",
"sponsor_logo_file_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}